| optoMDC

Loading...
Searching...
No Matches
optoMDC.registers.mre2_registers.MRE2TemperatureManager Class Reference
Inheritance diagram for optoMDC.registers.mre2_registers.MRE2TemperatureManager:

## Public Member Functions
| __init__ (self, board=None)
| GetScutiTemperature (self)
| GetProxyTemperature (self)
| GetScutiTemperatureThreshold (self)
| GetProxyTemperatureThreshold (self)
| SetScutiTemperatureThreshold (self, value)
| SetProxyTemperatureThreshold (self, value)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x22
dict | scuti_temperature
dict | proxy_temperature
dict | scuti_temp_threshold
dict | proxy_temp_threshold
| name = self.__class__.__name__

## Static Protected Attributes
bool | _is_a_system = True

## Detailed Description

    Device Functionality - Device Temperature Readout
    System ID: 0x22

    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | Register Name      | Id   | Type        | Unit | Range | Default | Comment                                          |
    +====================+======+=============+======+=======+=========+==================================================+
    |scuti_temperature   | 0x00 |uint 32-bit  |°C    |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    |proxy_temperature   | 0x01 |uint 32-bit  |°C    |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    |scuti_temp_threshold| 0x02 |uint 32-bit  |°C    |       | 65      |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    |proxy_temp_threshold| 0x03 |uint 32-bit  |°C    |       | 65      |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.registers.mre2_registers.MRE2TemperatureManager.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ GetProxyTemperature()

optoMDC.registers.mre2_registers.MRE2TemperatureManager.GetProxyTemperature | ( |  | self | ) |

## ◆ GetProxyTemperatureThreshold()

optoMDC.registers.mre2_registers.MRE2TemperatureManager.GetProxyTemperatureThreshold | ( |  | self | ) |

## ◆ GetScutiTemperature()

optoMDC.registers.mre2_registers.MRE2TemperatureManager.GetScutiTemperature | ( |  | self | ) |

## ◆ GetScutiTemperatureThreshold()

optoMDC.registers.mre2_registers.MRE2TemperatureManager.GetScutiTemperatureThreshold | ( |  | self | ) |

## ◆ help()

optoMDC.registers.mre2_registers.MRE2TemperatureManager.help | ( |  | ) |
| static

## ◆ SetProxyTemperatureThreshold()

optoMDC.registers.mre2_registers.MRE2TemperatureManager.SetProxyTemperatureThreshold | ( |  | self,
|  |  | value )

## ◆ SetScutiTemperatureThreshold()

optoMDC.registers.mre2_registers.MRE2TemperatureManager.SetScutiTemperatureThreshold | ( |  | self,
|  |  | value )

## Member Data Documentation

## ◆ _is_a_system

bool optoMDC.registers.mre2_registers.MRE2TemperatureManager._is_a_system = True
| static protected

## ◆ name

optoMDC.registers.mre2_registers.MRE2TemperatureManager.name = self.__class__.__name__

## ◆ proxy_temp_threshold

dict optoMDC.registers.mre2_registers.MRE2TemperatureManager.proxy_temp_threshold

Initial value:
= {'id': self.sys_id << 8 | 0x03, 'type': int, 'unit': '°C', 'range': None,
'default': 65, 'value': 65}

## ◆ proxy_temperature

dict optoMDC.registers.mre2_registers.MRE2TemperatureManager.proxy_temperature

Initial value:
= {'id': self.sys_id << 8 | 0x01, 'type': int, 'unit': '°C', 'range': None,
'default': None, 'value': None}

## ◆ scuti_temp_threshold

dict optoMDC.registers.mre2_registers.MRE2TemperatureManager.scuti_temp_threshold

Initial value:
= {'id': self.sys_id << 8 | 0x02, 'type': int, 'unit': '°C', 'range': None,
'default': 65, 'value': 65}

## ◆ scuti_temperature

dict optoMDC.registers.mre2_registers.MRE2TemperatureManager.scuti_temperature

Initial value:
= {'id': self.sys_id << 8 | 0x00, 'type': int, 'unit': '°C', 'range': None,
'default': None, 'value': None}

## ◆ sys_id

int optoMDC.registers.mre2_registers.MRE2TemperatureManager.sys_id = 0x22

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre2_registers.py